Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Cinelerra - Professional Video Editor - Unofficial CV-version	
Name:		cinelerra_cv
Version:	2.2
Release:	5
Group:		Video
License:	GPL
URL:		http://cvs.cinelerra.org/
Source:		%{name}-%{version}-svn-1038.tar.bz2
Patch0:		cinelerra_cv-desktop.patch
Patch1:		cinelerra_cv-libtool.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	libpng-devel libdv-devel faad2-devel faac-devel liba52-devel
BuildRequires:	ffmpeg-devel fftw-devel x264-devel libiec61883-devel libmpeg3-devel
BuildRequires:	mjpegtools-devel libavc1394-devel libraw1394-devel esound-devel
BuildRequires:	OpenEXR-devel libvorbis-devel libogg-devel libtheora-1.0-devel
BuildRequires:	yasm nasm alsa-lib-devel libjpeg-devel freetype-devel lame-devel
BuildRequires:	libsndfile-devel e2fsprogs-devel zlib-devel
BuildRequires:	libX11-devel libXv-devel libXxf86vm-devel libXext-devel
BuildRequires:	libXft-devel mesa-libGL-devel flac-devel
Requires:	mjpegtools

%description
Cinelerra - Professional Video Editor - Unofficial CV-version

For years some people have wanted a way to edit their audio and video
in one place as fluidly as writing text.  Cinelerra tries to be a
single location for all your audio and video editing needs.  All the
recording, editing, and playback are handled here.  It can be used as
an audio player.  It can be used to record audio or video.  It can even
be used as a photo retoucher.

%package        devel
Summary:        header and development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%prep
%setup -q -n cinelerra-%{version}
%patch0 -p0
%patch1 -p0
./autogen.sh

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--enable-mmx \
		--enable-alsa \
		--enable-opengl  
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
mv ${RPM_BUILD_ROOT}%_bindir/mpeg3toc ${RPM_BUILD_ROOT}%_bindir/mpeg3toc.hv
mv ${RPM_BUILD_ROOT}%_bindir/mpeg3cat ${RPM_BUILD_ROOT}%_bindir/mpeg3cat.hv
mv ${RPM_BUILD_ROOT}%_bindir/mpeg3dump ${RPM_BUILD_ROOT}%_bindir/mpeg3dump.hv
ln -s %_bindir/mpeg2enc $RPM_BUILD_ROOT%{_libdir}/cinelerra/mpeg2enc.plugin
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/cinelerra
%{_bindir}/mpeg3toc.hv
%{_bindir}/mpeg3cat.hv
%{_bindir}/mpeg3dump.hv
%{_bindir}/mplexlo
%{_libdir}/*.so.*
%{_libdir}/cinelerra
%{_datadir}/locale
%{_datadir}/pixmaps
%{_datadir}/applications

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/mpeg3
%{_includedir}/quicktime

%changelog
* Fri Dec 07 2007 Christian Metzen <metzench@ccux-linux.de> 2.2-5
- rebuilt against OpenEXR 1.6.1 / ilmbase
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.2-4
- altered group
* Mon Nov 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2-3
- SVN Revision 1038
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.2-2
- rebuild against x264
* Sat Jun 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2-1
- Version update
- SVN Revision 1009
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.1-2
- Version update to SVN Revision 958
* Thu Sep 14 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.1-1
- Initial Release
